Modules/Admin/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->group(function() {
    Route::get('/', 'AdminController@index');
    // slideshow route
    Route::resource('slide', 'SlideShowController')
        ->except(['show','destroy']);
    Route::get('slide/delete/{id}', 'SlideShowController@delete')
        ->name('slide.delete');
    Route::get('logout', 'AuthenticateController@logout');
    Route::post('login', 'AuthenticateController@login');
    // about route
    Route::get('about', 'AboutController@index');
    Route::get('about/edit/{id}', 'AboutController@edit');
    Route::post('about/update', 'AboutController@update');
    // file manager
    Route::view('fileman', 'admin::fileman');

     //Service
     Route::resource('service', 'ServiceController');
     Route::get('service/delete/{id}', 'ServiceController@delete');

     //Teams
     Route::resource('team', 'TeamController');
     Route::get('team/delete/{id}', 'TeamController@delete')->name('team.delete');
























     //News
     Route::resource('news', 'NewsController');
     Route::get('news/delete/{id}', 'NewsController@delete')->name('news.delete');




























     
    //Category
    Route::resource('category', 'CategoryController');
    Route::get('category/delete/{id}', 'CategoryController@delete')->name('category.delete');

     //Portfolios
     Route::resource('portfolios', 'PortfoliosController');
     Route::get('portfolios/delete/{id}', 'PortfoliosController@delete')->name('portfolios.delete');
});

Modules/Admin/Http/Controllers/ServiceController.php
<?php

namespace Modules\Admin\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use DB;
class ServiceController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        $data['service'] = DB::table('service')
        ->where('active', 1)
        ->paginate(config('app.row'));
        return view('admin::service.index', $data);

   
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('admin::service.create');
    
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $data = array(
            'title' =>$r->title,
            'description' => $r->description,
            'icon' => $r->icon
        );
        
        $i=DB::table('service')->insert($data);
        if($i){
            return redirect()->route('service.create')
            ->with('success', 'Data success');
        }
        else{
            session()->flash('error', 'Fail to save data!');
            return redirect()->route('service.create')
                ->withInput();
        }
    }


    public function delete($id, Request $r){
        DB:: table('service')
        ->where('id', $id)
        //->delete();
        ->update(['active'=>0]);
        $r->session()->flash('success', 'Data has been removed!');
        return redirect()->route('service.index');
    }


    public function update($id,Request $r){
        $data = array(
            'title'=>$r->title,
            'icon'=>$r->icon,
            'description' => $r->description

        );
        $i = DB::table('service')
        ->where('id', $id)
        ->update($data);

        if($i){
            return redirect('admin/service')->with('success', 'Data has been saved!');
        }else{
            $r->session()->flash('error', 'Data update fail!');
           // return redirect()->route('service.edit', $id)->withInput();
           return redirect()->route('service.edit', $id);
    }
}

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('admin::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        $data['service']=DB::table('service')->find($id);
        
        return view('admin::service.edit', $data);
    }

  
    public function destroy($id)
    {
        //
    }
}

Modules/Admin/Resources/views/service/create.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Create Service</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('service.index')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-reply"></i> Back
                    </a>
                </div>
            </div>
            <hr>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <p>
                        {{session('error')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if($errors->any())
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                   <ul>
                       @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                       @endforeach
                   </ul>
                </div>
            @endif
            <form action="{{route('service.store')}}" method="POST" >
            @csrf
                <div class="row">
                    <div class="col-sm-7">
                        <div class="form-group row">
                            <label class="col-sm-2" for='title'>Title <span class="text-danger">*</span></label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="title" name="title" required 
                                    value="{{old('title')}}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2" for='description'>Description</label>
                            <div class="col-sm-10">
                                <textarea name="description" id="description" cols="30" rows="2" class="form-control"></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2" for='icon'>Icon <span class="text-danger">*</span></label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="order" name="icon" 
                                    >
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2"> </label>
                            <div class="col-sm-10">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-save"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </form>
        </div>
    </div>
@endsection

Modules/Admin/Resources/views/service/edit.blade.php
@extends('admin::layouts.master')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4">
                    <h3><i class="fa fa-star"></i> Edit Service</h3>
                </div>
                <div class="col-sm-8">
                    <a href="{{route('service.index')}}" class="btn btn-primary btn-sm float-right">
                        <i class="fa fa-reply"></i> Back
                    </a>
                </div>
            </div>
            <hr>
            @if(Session::has('success'))
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <p>
                        {{session('success')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <p>
                        {{session('error')}}
                    </p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            @endif
            @if($errors->any())
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                   <ul>
                       @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                       @endforeach
                   </ul>
                </div>
            @endif
            <form action="{{route('service.update', $service->id)}}" method="POST" >
            @method('PATCH')
            @csrf
                <div class="row">
                    <div class="col-sm-7">
                        <div class="form-group row">
                            <label class="col-sm-2" for='title'>Title <span class="text-danger">*</span></label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="title" name="title" required 
                                    value="{{$service->title}}">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2" for='description'>Description</label>
                            <div class="col-sm-10">
                                <textarea name="description" id="description" cols="30" rows="2" class="form-control">{{$service->description}}</textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2" for='icon'>Icon <span class="text-danger">*</span></label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="order" value="{{$service->icon}}" name="icon" >
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2"> </label>
                            <div class="col-sm-10">
                                <button class="btn btn-primary btn-sm">
                                    <i class="fa fa-save"></i> Save
                                </button>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </form>
        </div>
    </div>
@endsection

Modules/Admin/Resources/views/service/index.blade.php
@extends('admin::layouts.master')

@section('content')
<div class="card">
    <div class="card-body">
        <div class="row">
            <div class="col-sm-4">
            <h3>Service</h3>
            </div>
            <div class="col-sm-8">
                <a href="{{route('service.create')}}" class="btn btn-success btn-sm float-right"> <i class="fa fa-plus"></i> create</a>
            </div>
        
            <table class="table table-bordered table-sm">
                <thead>
                    <tr>
                        <td>#</td>
                        <td>Title</td>
                        <td>Description</td>
                        <td>icon</td>
                        <td>other</td>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $page = @$_GET['page'];
                        if(!$page)
                        {
                            $page = 1;
                        }
                        $i = config('app.row') * ($page - 1) + 1;
                    ?>
                    @foreach($service as $s)
                    <tr>
                        <td>{{$i++}}</td>
                        <td>{{$s->title}}</td>
                        <td>{{$s->description}}</td>
                        <td>{{$s->icon}}</td>
                        <td>
                            
                        <button class="btn btn-danger btn-sm" >
                            <a href="{{url('admin/service/delete/'.$s->id)}}" title="delete" style="text-decoration:none; color:white;"
                                onclick="return confirm('You want to delete?')">
                                <i class="fa fa-trash" style="text-color:red;"></i> Delete
                            </a>
                        </button>

                        <button class="btn btn-success btn-sm" >
                            <a href="{{route('service.edit',$s->id)}}" title="edit" style="text-decoration:none; color:white;">
                                <i class="fa fa-edit" style="text-color:red;"></i> Edit
                            </a>
                            
                            
                        </button>
                            
                        
                        </td>
                    </tr>
                    @endforeach    
                </tbody>
            </table>
        </div>
    {{$service->links()}}
    </div>

</div>
    
@endsection